Manual03/fr

From FreeCAD Documentation
Jump to navigation Jump to search




Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des outils Part.


Primitives et Modification des objets



Cette page est spécialement destinée à l'impression, comme un gros document, donc, si vous lisez ceci en ligne, vous pourrez préférer aller directement à la version Aide en ligne, qui est plus facile à parcourir.

Primitives

FreeCAD.png
Page suivante : Cône Part Cone.svg Arrow-right.svg

Part Box.svg Part Cube

Emplacement du menu
Pièce → Primitives → Cube
Ateliers
Atelier Part
Raccourci par défaut
Aucun
Introduit dans la version
Voir aussi
Part Création de primitives


Description

La commande Boîte de l'atelier Part insère un parallélépipède droit paramétrique dans le document actif. Par défaut, la commande insère un cube de 10 x 10 x 10 mm positionné à l'origine, avec l'étiquette « Cube ». Ces paramètres peuvent être édités une fois que l'objet a été ajouté.

Boîte

Remarques

Utilisation

  1. Basculez vers l'Workbench Part.svg Atelier PArt
  2. Lancez la commande de plusieurs manières:
    • Appuyez sur le bouton Part Box.svg dans la barre d'outils.
    • Sélectionnez Pièce → Primitives → Cube dans la barre de menus.

Options

  • Via l'Éditeur de propriétés :
    • Length: Définit la longueur de votre objet (par défaut 10 mm).
    • Width: Définit la largeur de votre objet (par défaut 10 mm).
    • Height: Définit la hauteur de votre objet (par défaut 10 mm).
    • Placement: Spécifie l'orientation et la position du cube dans l'espace 3D. Voir le Positionnement. Le point de référence est localisé sur le coin inférieur avant du cube.
    • Label: L'étiquette est le nom donné à l'opération. Ce nom peut être changé selon votre convenance.

Propriétés

Base

  • DonnéesPlacement: Spécifie l'orientation et la position du cube dans l'espace 3D. Voir Placement. Le point de référence est le coin inférieur avant gauche du cube.
  • DonnéesLabel: Étiquette donnée à l'objet Cube. Modifiez le label en fonction de vos besoins.

Box

  • DonnéesLength: Le paramètre length est la dimension de la boîte dans la direction x.
  • DonnéesWidth: Le paramètre width est la dimension de la boîte dans la direction y.
  • DonnéesHeight: Le paramètre height est la dimension de la boîte dans la direction z.

Part_Box-Properties

Script

La commande Box peut être utilisée dans macro et à partir de la console python en utilisant la fonction suivante:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Où "myBox" est l'étiquette de l'objet Box.
  • Retourne l'objet nouvellement créé de type Box.

Vous pouvez accéder aux attributs de l'objet Box et les modifier. Par exemple, vous pouvez modifier les paramètres de longueur, largeur et hauteur.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

Vous pouvez changer son emplacement avec:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))
FreeCAD.png
Page suivante : Cône Part Cone.svg Arrow-right.svg
Arrow-left.svg Page précédente : Part Box.svg Cube
Page suivante : Cylindre Part Cylinder.svg Arrow-right.svg

Part Cone.svg Part Cône

Emplacement du menu
Part → Primitives → Cône
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Créer des primitives


Description

Un cône paramétrique tronqué est une primitive disponible sur la barre d'outils Part, ou dans le menu (primitives sub-menu) une boite de dialogue primitives géométriques est ouverte.

Utilisation

  1. Allez à l'atelier Workbench Part.svg Part.
  2. Lancez la commande Part Cône de plusieurs manières:
    • Appuyez sur le bouton Part Cone.svg Part Cône
    • Utilisez l'entrée Pièce → Primitives → Cône dans le menu supérieur.

Résultat: les valeurs par défaut créent un cône tronqué, défini par les paramètres Radius1, Radius2, Height et Angle. par défaut le cône nouvellement créé est positionné aux coordonnées d'origine (0,0,0). Le paramètre angle permet de créer une portion de cône (par défaut, 360°) et les rayons 1 et 2 correspondent à la base et à la hauteur du cône tronqué.

Options

PartConeProperty en.png

Cone

  • Radius 1: rayon de l'arc ou du cercle définissant la face de la base du cône
  • Radius 2: rayon de l'arc ou du cercle définissant la face du haut du cône
  • Height: la hauteur du cône
  • Angle: le nombre représentant le degrés de l'arc ou du cercle définissant les faces de la base et du haut du cône tronqué. Par défaut, la face circulaire est de 360°, une valeur inférieure défini une portion du cône.

Otherwisedefault270degree Part Cone.png

L'image ci-dessous montre un cône avec le paramètre "Angle" réglé sur 270 degrés et les autres paramètres ont leurs valeurs par défaut.


Script

Arrow-left.svg Page précédente : Part Box.svg Cube
Page suivante : Cylindre Part Cylinder.svg Arrow-right.svg
Arrow-left.svg Page précédente : Part Cone.svg Cône
Page suivante : Sphère Part Sphere.svg Arrow-right.svg

Part Cylinder.svg Part Cylindre

Emplacement du menu
Pièce → Primitives → Cylindre
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives


Description

Crée un simple cylindre paramétrique, avec sa position, son angle de remplissage, son rayon et sa hauteur.

Utilisation

  1. Allez à l'Workbench Part.svg atelier Part.
  2. Lancez la commande Part Cône de plusieurs manières:
    • Appuyez sur le bouton Part Cylinder.svg
    • Utilisez l'entrée Pièce → Primitives → Cylindre dans le menu supérieur.

Résultat: le résultat par défaut est un cylindre plein centré par une face circulaire avec l'origine globale (point 0,0,0) de rayon 2 mm et de hauteur 10 mm.

Options

Les propriétés peuvent être éditées dans "Vue combinées > Propriétés onglet Données :

Un cylindre est créé avec l'outil "Cylindre"

Cylindre

  • Angle: Le paramètre angle permet de créer une portion du cylindre (l'angle par défaut est de 360°).
  • Height: La valeur Height est la hauteur dans l'axe Z.
  • Radius: Le rayon est défini dans le plan X-Y.


Arrow-left.svg Page précédente : Part Cone.svg Cône
Page suivante : Sphère Part Sphere.svg Arrow-right.svg
Arrow-left.svg Page précédente : Part Cylinder.svg Cylindre
Page suivante : Tore Part Torus.svg Arrow-right.svg

Part Sphere.svg Part Sphère

Emplacement du menu
Piècet → Primitives → Sphère
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives


Description

Crée une sphère paramétrique simple, avec des paramètres de position, angle1, angle2, angle3 et rayon.

SimpleSphere.jpg

Utilisation

Dans l'atelier Part cliquez sur l'icône Part Sphere.svg. A sa création la sphère est positionnées aux coordonnées d'origine 0,0,0. Les paramètres d'angles permettent de construire une portion de sphère ou une sphère complète (la valeur par défaut est 360°).

Options

La sphère paramétrique est définie par les paramètres suivants:

  • Rayon
  • Angle 1
  • Angle 2
  • Angle 3
  • ainsi que l'ensemble standard de paramètres de placement

L'image ci-dessous donne un aperçu d'une sphère paramétrique avec des paramètres différents de la valeur par défaut.

PartDesign Sphere Parameter en.jpg

Paramètres

  • DonnéesRayon: Rayon de la sphère
  • DonnéesAngle 1: 1er angle pour couper/définir la sphère
  • DonnéesAngle 2: 2ème angle pour couper/définir la sphère
  • DonnéesAngle 3: 3ème angle pour couper/définir la sphère

Comme il est assez difficile d’expliquer la signification des paramètres angle 1, angle 2, angle 3, l’illustration ci-dessous explique ces paramètres avec les valeurs suivantes: angle 1 = -45 °, angle 2 = 45 ° et angle 3 = 90 °.

SphereCutThreeAngles.jpg


Arrow-left.svg Page précédente : Part Cylinder.svg Cylindre
Page suivante : Tore Part Torus.svg Arrow-right.svg
Arrow-left.svg Page précédente : Part Sphere.svg Sphère
Page suivante : Primitives Part CreatePrimitives.svg Arrow-right.svg

Part Torus.svg Part Tore

Emplacement du menu
Pièce → Tore
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives


Description

Crée un tore paramétrique simple, avec les paramètres position, angle1, angle2, angle3, rayon1 et rayon2.

SimpleTorus.jpg

Utilisation

  1. Basculez vers l'Workbench Part.svg atelier Part.
  2. Appelez la commande Part Torus de plusieurs manières:
    • Appuyez sur le bouton Part Torus.svg.
    • Utilisez l'entrée Pièce → Tore dans le menu supérieur.

Résultat: Le tore sera positionné à l'origine (point 0,0,0) lors de la création.
Les paramètres d'angle (angle1, angle2, angle3), ainsi que les paramètres de paramètre de rayon (radius1, radius2) permettent de paramétrer le tore, voir section suivante.

Option

TorusExampleOverviewParameters.jpg

Paramètres

Un tore peut être assimilé à un petit disque qui forme une orbite circulaire autour d'un axe imaginaire. Ainsi, le tore paramétrique est défini par les paramètres suivants:

  • Radius1: Rayon du cercle autour duquel le disque circule
  • Radius2: Rayon du disque définissant la forme du tore
  • Angle1: 1er angle pour couper / définir le disque du tore
  • Angle2: 2ème angle pour couper / définir le disque du tore
  • Angle3: 3ème angle pour définir la circonférence du tore.

ainsi que l'ensemble standard de paramètres de placement. Les images ci-dessous donnent un aperçu visuel des paramètres mentionnés précédemment:

TorusExampleRadius1.jpg Le paramètre Rayon1 a une valeur de 20 mm.

TorusExampleRadius2.jpg Le paramètre Rayon2 a une valeur de 2 mm.

TorusExampleAngle1.jpg Le paramètre Angle1 a une valeur de -90 °. Notez que l'outil "Mesure d'angle" ne peut pas afficher un angle négatif. Considérez la valeur affichée dans l'image comme "-90 °".

TorusExampleAngle2.jpg Le paramètre Angle2 a une valeur de 90 °.

TorusExampleAngle3.jpg Le paramètre Angle3 a une valeur de 90 °.


Arrow-left.svg Page précédente : Part Sphere.svg Sphère
Page suivante : Primitives Part CreatePrimitives.svg Arrow-right.svg

Modifier les objets

Arrow-left.svg Page précédente : Part CompoundFilter.svg Filtre de composé
Page suivante : Congé Part Fillet.svg Arrow-right.svg

Part Extrude.svg Part Extrusion

Emplacement du menu
Pièce → Extrusion...
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Trimex


Part Extrude demo.png

Description

L'outil Extrusion prolonge une forme dans une distance et une direction spécifiées. Le type de la forme résultante pourra varier selon le type de la forme initiale et des options sélectionnées.

Dans les scénarios les plus courants, la liste suivante détaille les formes résultantes attendues depuis une forme initiale donnée :

  • Extrusion d'un vertex (point) produit une arête linéaire (ligne)
  • Extrusion d'une arête ouverte (ligne, arc) produit une face ouverte (par ex. plan)
  • Extrusion d'une arête fermée (cercle) produit une face fermée (par ex. un cylindre aux extrémités ouvertes) ou si le paramètre "solid" est réglé à "true" produit un solide (par ex. un cylindre solide)
  • Extrusion d'un fil ouvert (par exemple un fil Draft), produira une coque ouverte (plusieurs faces jointes)
  • Extrusion d'un fil fermé (par exemple un fil Draft), produira éventuellement une coque (plusieurs faces jointes) ou si le paramètre "solide" est "vrai" produira un solide
  • Extrusion d'une face (ex. plane) produit un solide (par ex. un cube)
  • Extrusion d'un objet Draft ShapeString.svg Formes à partir texte produit un composé de solides (la chaîne de texte est un composé de lettres et chacune d'elle forme un solide)
  • Extrusion d'une coque de faces produira un Compsolid.

Utilisation

  1. Sélectionner une ou des formes dans la vue 3D ou dans le modèle de la vue en arborescence.
  2. Cliquer sur l'icône Part Extrude.svg Extrusion dans la barre d'outils ou aller dans le menu Pièce → Extrusion
  3. Définir la direction et la longueur, et optionnellement d'autres paramètres (voir la section suivante Paramètres pour plus de détails).
  4. Cliquer sur OK.

La sélection peut également être faite après le lancement de l'outil en sélectionnant une ou plusieurs formes dans le Tasks panel/fr|Panneau des tâches.

L'arborescence du Modèle listera autant d'objets « Extrude » que de formes originales sélectionnées. Chaque forme initiale est placée sous son objet « Extrude » correspondant.

Paramètres

La forme « Extrude » est définie par les paramètres suivants, qui peuvent être édités après sa création sous l'onglet Données.

  • Base: la forme initiale (la forme à partir de laquelle l'extrusion est appliquée)
  • Direction: la direction pour étendre la forme. Si Dir Mode est sur 'Personnalisé', vous pouvez éditer Dir. Sinon, Dir est en lecture seule et est calculé à partir de la forme liée.
  • Dir Link: lien paramétré sur une arête (ligne) qui définit la direction de l'extrusion. À partir de la v0.17, cette propriété n'est plus prise en charge par l'éditeur de propriétés.
  • Dir Mode: définit le mode de contrôle de Dir. 'Custom' signifie que Dir est éditable. 'Edge' signifie que Dir est obtenu à partir d'un bord (ligne) lié par un Dir Link. 'Normal' signifie que Dir est perpendiculaire au plan de la forme de départ.
  • Length Fwd: La distance d'extrusion. Si Length Fwd et Length Rev sont tous deux égaux à zéro, la longueur du vecteur Dir est utilisée.
  • Length Rev: Longueur supplémentaire à extruder dans le sens inverse de Dir.
  • Solid: si True, l'extrusion d'un bord fermé ou d'un fil fermé donnera un solide. Si False, une coquille en résultera.
  • Reversed: inverse l'extrusion par rapport à Dir.
  • Symmetric: si True, l'extrusion est centrée par rapport à la forme d'entrée et la longueur totale est Longueur avant. Length Rev est ignoré.
  • Taper Angle et Taper Angle Rev:

applique un angle de dépouille à l'extrusion, de sorte que les côtés de l'extrusion soient dessinés selon l'angle spécifié. Un angle positif signifie que la section transversale se dilate. Taper Angle Rev définit l'angle de dépouille de la partie inversée de l'extrusion (la partie de Length Rev). A partir de la v0.17, l'extrusion avec dépouille n'est prise en charge que pour les fils sans trous. Le filetage ne fonctionne pas bien si la forme extrudée contient des B-splines.

  • Face Maker Class: définit le nom de classe C++ du code de création de face, utilisé lors de la création de solides à partir de filaires. Cette propriété est là pour prendre en charge la compatibilité ascendante. Ne touchez pas, sauf si vous savez ce que vous faites.
  • Label : étiquette à afficher dans la vue en arborescence du modèle (non disponible lors de la création d'extrusion)

Boîte de dialogue

Part Extrude dialog.png
  • Le bouton OK crée l'extrusion et ferme la boîte de dialogue.
  • Le bouton Close ferme le dialogue sans rien faire.
  • Le bouton Apply crée l'extrusion, mais ne ferme pas la boîte de dialogue. Vous pouvez ensuite sélectionner une autre forme dans la liste du bas et créer davantage d'extrusions. Un clic sur Apply plusieurs fois crée de nombreuses extrusions.
  • Boutons radio 'Direction' : définissent la manière dont la direction d'extrusion est calculée.
  • Le bouton Select cliquez dessus, puis choisissez une arête en vue 3D. Ce bord apparaîtra dans le champ de texte à côté du bouton, au format "ObjectName: EdgeN". Vous pouvez également taper le lien manuellement. Les valeurs X, Y, Z seront remplies en fonction de la direction du bord.
  • Les boutons X, Y, Z: cliquez sur le bouton x pour définir la direction d'extrusion sur l'axe + x. Cliquez à nouveau pour définir l'axe - x .
  • Champs de saisie X, Y, Z: définissez ou affichez le vecteur de direction de l'extrusion. Si les deux longueurs sont égales à zéro, la longueur de ce vecteur définit la longueur de l'extrusion et les valeurs sont toujours exprimées en mm, quelles que soient les préférences de l'unité.
  • Champs de longueur: définissez la longueur d'extrusion. Ces champs d'entrée ont un support d'unité.
  • Symétrique: étend l'extrusion dans les deux sens, de sorte que le profil reste au centre.
  • Taper Outward Angle (Angle de dépouille extérieur): angle positif signifie que le profil est élargi à l'autre extrémité de l'extrusion.
  • Create Solid checkbox: si coché, l'extrusion d'un filaire ou d'un bord fermé donnera un solide. Il est coché par défaut si un filaire fermé a été présélectionné avant d'appeler Extrusion de pièce..
  • Shape list: Ici, vous sélectionnez les formes à extruder. Si plusieurs objets sont sélectionnés, plusieurs objets d'extrusion sont créés.

Aperçu

La boîte de dialogue Part Extrude n'offre pas encore d'aperçu. Apply crée un objet d'extrusion chaque fois que vous cliquez dessus, ce qui peut être utile comme aperçu. Cependant, ils resteront et un autre sera créé lorsque vous cliquez sur OK.Annuler peut être utile pour les nettoyer avant de cliquer sur OK.

Depuis la v0.17, une esquisse créée dans PartDesign ne peut pas être utilisée pour l'extrusion de pièce, si elle se trouve dans un corps (erreur "Les liens sortent de l'espace autorisé"). Pour extruder une esquisse, vous devez créer l'esquisse à partir de l'atelier Sketcher. Ou vous pouvez simplement faire glisser un PartDesign hors d'un corps.

L'extrusion avec angle de dépouille ne supporte pas les trous. Cela peut également donner des résultats erronés si le nombre de segments dans le profil change à la suite de la réduction progressive.

Comparaison avec PartDesign Protusion

PartDesign Pad est également une fonctionnalité d'extrusion, mais il existe des différences importantes.

Part Extrude crée toujours une forme autonome. PartDesign Pad fusionne le résultat de l'extrusion avec le reste du Corps.

Part Extrude ne se soucie pas de savoir où il se trouve dans l'arborescence du modèle. PartDesign Pad ne peut exister que dans un corps PartDesign.

Part Extrude peut extruder n'importe quel objet ayant une Geometrie Part (OCC shape), à l'exception des solides et des solides composés. Et il ne peut pas extruder les faces individuelles d'autres objets. PartDesign Pad n'accepte qu'une esquisse en tant que profil (et une petite sélection d'autres types d'objets) ou une face d'un solide.

Arrow-left.svg Page précédente : Part CompoundFilter.svg Filtre de composé
Page suivante : Congé Part Fillet.svg Arrow-right.svg
Arrow-left.svg Page précédente : Part Fillet.svg Congé
Page suivante : Section Part Section.svg Arrow-right.svg

Part Revolve.svg Part Révolution

Emplacement du menu
Pièce → Révolution
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi


Description

Fait pivoter l'objet sélectionné autour d'un axe donné. Les types de forme suivants sont autorisés et mènent aux formes de sortie énumérées (Voir Remarques pour les exceptions):

Objet en entrée, Objet résultant
Sommet Arête
Arête Face
Filaire Enveloppe
Face Solide
Enveloppe Solide Composé (Compsolid)

Les solides, ou les compositions avec des solides, ne sont pas autorisés comme formes d'entrée. Les compositions normales ne sont actuellement pas autorisées.
Les versions futures vérifieront les formes réelles, et les type d'objets composés.

Dialog-revolve.png

L'argument Angle spécifie l'angle selon lequel l'objet doit être tourné. Les coordonnées déplacent l'origine de l'axe de rotation, par rapport à l'axe d'origine du système de coordonnées.

Si vous sélectionnez un axe défini par l'utilisateur, les nombres définissent la direction de l'axe de rotation par rapport au système de coordonnées d'origine: Si la coordonnée Z est 0 et les coordonnées Y et X ne sont pas nulles, alors l'axe se trouvera dans le Plan X-Y. Son angle est tel que sa tangente est le rapport entre les coordonnées X et Y.

Remarques

  • Si votre version de FreeCAD a une case à cocher pour Solide dans le dialogue de Révolution, vous pouvez faire des Solides à partir de filaires fermés et d'Arêtes.
  • Si la révolution est effectuée à l'aide d'un axe qui coupe la face à pivoter et que vous souhaitez créer un solide, le résultat peut être invalide. Cela peut se produire pour diverses raisons, auto-intersection, direction, etc.
Arrow-left.svg Page précédente : Part Fillet.svg Congé
Page suivante : Section Part Section.svg Arrow-right.svg

Cette documentation n'est pas terminée. SVP contribuez en traduisant la documentation.

Allez voir Draft ShapeString pour un modèle de documentation. Gui Command donne un aperçu des commandes. Et, pour voir d'autres commandes Liste des Commandes.

Allez sur Help FreeCAD ou comment faire pour contribuer.

Arrow-left.svg Page précédente : Part Chamfer.png Chanfrein
Page suivante : Créer une surface réglée Part RuledSurface.svg Arrow-right.svg

Part Mirror.svg Part Mise en miroir

Emplacement du menu
Pièce → Mise en miroir
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi


Description

'Mirror Object' - Cet outil crée un nouvel objet (image) qui est la réflexion de l'objet source sélectionné par rapport à un plan miroir. Le plan miroir peut être un plan standard (XY, XZ ou YZ) ou n'importe quel plan parallèle à un plan standard.

Un exemple :

Avant
Après (symétrisé depuis le plan YZ)

Utilisation

PARTMirrorDialogv11.png

  1. Sélectionnez l'objet source dans la liste du panneau de mise en miroir.
  2. Sélectionnez un Plan de symétrie standard dans le menu déroulant.
  3. Appuyez sur OK pour créer l'objet image.


Options

Les cases Points de base peuvent être utilisées pour déplacer le miroir plan parallèle au plan de standard sélectionné. Seul l'une des cases X, Y ou Z est active pour un plan standard donné.

Standard Plane Base Point Box Effect
XY Z Move mirror plane along Z axis.
XY X, Y No effect.
XZ Y Move mirror plane along Y axis.
XZ X, Z No effect.
YZ X Move mirror plane along X axis.
YZ Y, Z No effect.

Limitations

  • Les plans de miroir arbitraires (c'est-à-dire non parallèles à un plan standard) ne sont pas pris en charge (à partir de la version 0.13 FC).
Arrow-left.svg Page précédente : Part Chamfer.png Chanfrein
Page suivante : Créer une surface réglée Part RuledSurface.svg Arrow-right.svg
Arrow-left.svg Page précédente : Part Extrude.svg Extrusion
Page suivante : Révolution Part Revolve.svg Arrow-right.svg

Part Fillet.svg Part Congé

Emplacement du menu
Part → Congé
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Chanfrein


Description

Cet outil crée un congé (arrondi) sur les arêtes sélectionnées d'un objet. Une boîte de dialogue vous permet de choisir les objets et les arêtes à utiliser.

Utilisation

  • Lancez l'outil à partir de la barre d'outils de la pièce ou du menu. Vous pouvez sélectionner l'objet avant ou après le démarrage de l'outil.
  • Si la forme n'a pas été sélectionnée avant de démarrer l'outil, sélectionnez-la dans la liste déroulante du Panneau des tâches.
  • Sélectionnez le type de congé, soit un rayon constant (par défaut) ou un rayon variable.
  • Sélectionnez les arêtes soit dans la vue 3D ou en les cochant dans la liste des arêtes dans le Panneau des tâches.
  • Définissez la valeur du rayon.
  • Cliquez sur OK pour valider.

Dialog-fillet.png

Comparaison congé PartDesign et congé Part

Il existe un autre outil de congé dans l'Workbench PartDesign.svg atelier PartDesign. Veuillez noter que leur fonctionnement est assez différent. Consultez la page de référence PartDesign Fillet.svg PartDesign Congé pour plus de détails sur leurs différences.

Notes pour l'application de Congés Part

Le congé de pièce peut ne rien faire si le résultat touche ou traverse le prochain bord adjacent. Donc, si vous n'obtenez pas le résultat attendu, essayez avec une valeur inférieure. C'est la même chose pour Part Chamfer.svg Part Chanfrein.


L'outil de congé échoue parfois lors de la tentative de congé sur des objets complexes. Une cause commune peut être que la forme en congé n'est pas géométriquement correcte. Cela peut être dû au fait que les lignes/plans ne sont pas supprimés après les opérations précédentes utilisées pour construire la forme (par exemple, Cut/Intersection/Fusion). Un certain nombre d'étapes peuvent être utilisées pour minimiser les problèmes:

  • Si possible, attendez pour la création des congés d'une pièce que la pièce soit complètement générée. Cela minimisera l'interaction des congés avec les opérations booléennes suivantes;
  • Utilisez la commande Pièce → Vérifier la géométrie pour rechercher d'éventuelles erreurs dans la géométrie de la forme et les corriger.
  • Utilisez Pièce → Affiner la forme pour supprimer les artefacts introduits par les opérations booléennes précédentes avant le congé (et dans certains cas, entre les opérations de congé en séquence);
  • Envisagez d'utiliser Édition → Préférences → PartDesign pour activer la vérification automatique et le raffinage du modèle après des opérations booléennes et basées sur des esquisses (les performances peuvent être affectées si ces options sont laissées activées).


Notez également que la fonction de congé de pièce est affectée par le Problème de dénomination topologique lorsque toute modification est apportée à une étape de modélisation plus tôt dans la chaîne qui affecte le nombre de facettes ou de sommets. Cela pourrait entraîner des résultats imprévisibles. En attendant que cela soit résolu (éventuellement avec la V0.19), il est conseillé d’appliquer les opérations Chanfrein et Congé aux dernières étapes de la chaîne.


Arrow-left.svg Page précédente : Part Extrude.svg Extrusion
Page suivante : Révolution Part Revolve.svg Arrow-right.svg
Arrow-left.svg Page précédente : Part CrossSections.svg Coupes
Page suivante : Mise en miroir Part Mirror.svg Arrow-right.svg

Part Chamfer.svg Part Chanfrein

Emplacement du menu
Part → Chamfer
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Congé


Description

Chanfreine le ou les bords sélectionnés d'un objet. Une boîte de dialogue vous permet de choisir le ou les bords sur lesquels vous souhaitez travailler ainsi que de modifier divers paramètres de chanfrein.

Exemple de Chanfrein

Utilisation

Utilisation

  1. Lancez la commande Chanfrein de plusieurs manières dans Workbench Part.svg Atelier Part
    • Appuyez sur le bouton Part Chamfer.svg dans la barre d'outils Pièce
    • Utilisez l'entrée Pièce → Chanfrein dans le menu Part
  2. Sélectionnez la forme à chanfreiner dans la boîte de dialogue.
  3. Sélectionnez les arêtes à chanfreiner en cochant la case correspondante dans la boîte de dialogue Chanfrein ou en les sélectionnant directement sur le modèle.
  4. Réglez les paramètres de chanfrein.
  5. Appuyez sur OK pour fermer la boîte de dialogue de chanfrein et appliquer le chanfrein.

Options

Dialog-chamfer

  • Lorsque vous sélectionnez des arêtes sur le modèle, vous avez la possibilité de les sélectionner par arête ou par face. La sélection par face sélectionne tous les bords de cette face.
  • Chanfrein de longueur constante ou chanfrein de longueur variable.
    • Un chanfrein de longueur constante créera un chanfrein avec des bords équidistants du bord d'origine à la distance spécifiée.
    • Un chanfrein de longueur variable aura des arêtes pouvant être définies à des distances différentes de l'arête d'origine, ce qui vous permettra de créer un chanfrein à angle variable.

Propriétés

Part_Chamfer Properties


Base

  • DonnéesBase:La forme sur laquelle le chanfrein doit être appliqué.
  • DonnéesPlacement:Spécifie l'orientation et la position de la forme dans l'espace 3D.
  • DonnéesLabel: Label donné à l'objet. Changer en fonction de vos besoins.


Limitations

Le chanfrein peut ne rien faire si le résultat touche ou traverse le bord adjacent suivant. Donc, si vous n'obtenez pas le résultat attendu, essayez avec une valeur inférieure. C'est pareil pour Part Fillet.svg Part Congé.

Notez également que la fonction Chanfrein est affectée par le problème de nommage topologique lorsque toute modification est apportée à une étape de modélisation plus tôt dans la chaîne qui affecte le nombre de facettes ou de sommets. Cela pourrait entraîner des résultats imprévisibles. En attendant que cela soit résolu (éventuellement avec V0.19), il est conseillé d’appliquer les opérations Chanfrein et Part Fillet.svg Congé aux dernières étapes de la chaîne.


Scripting

L'outil Chanfrein peut être utilisé dans des macros et à partir de la console Python en ajoutant un objet Chanfrein au document.

Exemple de Script:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Explication de l'exemple de Script :

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Crée un cube de 5 mm sur lequel nous pouvons appliquer des bords chanfreinés. Voir Part API pour une explication de la méthode makeBox.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Ajoute un nouvel objet au document de type Chanfrein (de l'atelier Part) avec le libellé "myChamfer".
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Spécifie que la forme de base de l'objet chanfrein doit être "myCube".
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Crée un tableau vide "myEdges" puis l'ajoute aux paramètres de chanfrein de chaque bord.
  • La syntaxe pour chaque élément doit être (edge#, chamfer start length, chamfer end length) c'est-à-dire (arête#, longueur du début du chanfrein, longueur de l'extrémité du chanfrein).
chmfr.Edges = myEdges
  • Définit l'attribut Edges de notre objet Chamfer égal au tableau que nous venons de créer.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • Cette ligne cache simplement "myCube" de sorte que notre objet "myChamfer" nouvellement créé soit le seul visible.
FreeCAD.ActiveDocument.recompute()
  • Recalcule tous les composants modifiés à l'écran et actualise l'affichage.
Arrow-left.svg Page précédente : Part CrossSections.svg Coupes
Page suivante : Mise en miroir Part Mirror.svg Arrow-right.svg

Part Booleans/fr

Arrow-left.svg Page précédente : Part Common.svg Intersection
Page suivante : Joindre des objets à paroi Part JoinConnect.svg Arrow-right.svg

Part Cut.svg Part Soustraction

Emplacement du menu
Part → Opération booléenne → Soustraction
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Union, Part Intersection, Part Opérations booléennes


Description

Coupe (soustrait) un objet à un autre, le dernier sélectionné, étant soustrait au premier. Cette opération est totalement paramétrique : les composants peuvent être modifiés, et le résultat recalculé.

Remarque: Cette commande est une forme automatisée de Part Booleans.svg Part Opérations booléennes.

Cut


Utilisation

  1. Sélectionnez deux formes
  2. Lancez la commande Part Soustraction de plusieurs manières:
    • Appuyez sur le bouton Part Cut.svg Soustraction dans la barre d'outils Pièce
    • Utilisez l'entrée Pièce → Opération booléenne → Soustraction dans le menu Part

Entrées supportées

L'objet doit être un objet (forme) OpenCascade. Exemples: doit être créé avec un des ateliers Part, PartDesign, Sketcher. Ne peut pas être un objet Mesh (sauf s'il est converti en forme (shape)) - pour les objets Mesh, utilisez l'outil booléen spécifique dans l'atelier MeshDesign.

Arrow-left.svg Page précédente : Part Common.svg Intersection
Page suivante : Joindre des objets à paroi Part JoinConnect.svg Arrow-right.svg
Arrow-left.svg Page précédente : Part Booleans.svg Opérations booléennes
Page suivante : Intersection Part Common.svg Arrow-right.svg

Part Fuse.svg Part Union

Emplacement du menu
Pièce → Opération booléenne → Union
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Soustraction, Part Intersection, Part Opérations booléennes


Description

L'outil Part Fuse.svg Part Union unit (fusionne) les objets Part sélectionnés en un seul. Cette opération est entièrement paramétrique et les composants peuvent être modifiés et le résultat recalculé.

Remarque: Cette commande est une forme automatisée de Part Booleans.svg Part Opérations booléennes.

Utilisation

  1. Sélectionnez deux formes
  2. Lancez la commande Part Soustraction de plusieurs manières:
    • Appuyez sur le bouton Part Fuse.svg Union dans la barre d'outils Pièce
    • Utilisez l'entrée Pièce → Opération booléenne → Union dans le menu Part

Entrées prises en charge

L'objet doit être un objet (forme) OpenCascade. Exemples: les objets créés avec un des ateliers Part, PartDesign, Sketcher. Ne peut pas être un objet Mesh (sauf s'il est converti en forme (shape)) - pour les objets Mesh, utilisez l'outil booléen spécifique dans l'atelier MeshDesign.

  • Solide + Solide: le résultat est un solide qui occupe tout le volume couvert par les volumes d'origine
  • Coque (shell) + coque, coque + face, face + face: le résultat est une coque. Lorsque les faces se croisent, elles sont séparées. Les coques peuvent être non-manifold. Après la fusion, les faces peuvent être unies en affinant le résultat.
  • Fil (wire) + fil, arête + fil, arête + arête: le résultat est un fil. Les arêtes sont diviséss là où elles se croisent.

Les composés sont pris en charge; cependant, il est supposé que les formes contenues dans un composé ne se touchent pas ou ne se croisent pas. Si c'est le cas, la fusion échouera probablement ou produira un résultat incorrect.

Options

Les éléments peuvent être ajoutés et supprimés à partir de la fusion, en les faisant glisser dans ou hors de la fonction de fusion dans l'arborescence, avec la souris. Un recalcule manuel (appuyez sur la touche F5 ou cliquez sur l'icône de Std Refresh.svg Rafraichir) est nécessaire pour voir les résultats.

Après que cette opération soit complète, il peut être nécessaire de nettoyer la forme avec Part RefineShape.svg Affiner la forme.

Arrow-left.svg Page précédente : Part Booleans.svg Opérations booléennes
Page suivante : Intersection Part Common.svg Arrow-right.svg
Arrow-left.svg Page précédente : Part Fuse.svg Union
Page suivante : Soustraction Part Cut.svg Arrow-right.svg

Part Common.svg Part Intersection

Emplacement du menu
Aucun
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Union, Part Soustraction


Description

Extrait la partie commune (intersection) entre les objets Part sélectionnés. Cette opération est entièrement paramétrique et les composants peuvent être modifiés et le résultat recalculé.

Utilisation

  1. Sélectionnez deux formes
  2. Cliquez sur le boutonPart Common.svg Part Intersection

Entrées supportées

L'objet doit être un objet (forme) OpenCascade. Exemples: doit être créé avec un des ateliers Part, PartDesign, Sketcher. Ne peut pas être un objet Mesh (sauf s'il est converti en forme (shape)) - pour les objets Mesh, utilisez l'outil booléen spécifique dans l'atelier MeshDesign.

Arrow-left.svg Page précédente : Part Fuse.svg Union
Page suivante : Soustraction Part Cut.svg Arrow-right.svg
Arrow-left.svg Page précédente : Part Defeaturing.svg Supprimer la fonctionnalité
Page suivante : Coupes Part CrossSections.svg Arrow-right.svg

Part Section.svg Part Section

Emplacement du menu
Pièce → Section
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Coupes


Description

Cet outil extrait une section de l'intersection de deux formes sélectionnées, la seconde étant utilisée comme plan de coupe. Cette opération est pleinement paramétrique et ses composants peuvent être modifiés, le résultat sera recalculé.


Dans cet exemple, un cube est coupé par un cylindre :

PartSection1 it.png
  • Base: objet de base, le cube
  • Outil: outil de coupe, le cylindre


Utilisation

  1. Sélectionnez l'objet de base
  2. Sélectionnez l'outil de coupe
  3. Cliquez sur PartPart Section.svg Section depuis le menu.

Liens

Pour créer des coupes depuis un plan de coupe, voir Part CrossSections.svg Coupes.


Arrow-left.svg Page précédente : Part Defeaturing.svg Supprimer la fonctionnalité
Page suivante : Coupes Part CrossSections.svg Arrow-right.svg

Credits

FreeCAD Users Contributors.svg

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Development

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • Barleyman
  • Berthold Grupp
  • dbtayl
  • Dmitry Chigrin
  • ezzieyguywuf
  • fandaL
  • Georg Wiora
  • Graeme van der Vlugt
  • itain
  • j-dowsett
  • Jacques-Antoine Gaudin
  • jcc242
  • jmaustpc
  • Joachim Zettler
  • jobermayr
  • Johan3DV
  • jonnor
  • keithsloan52
  • Ken Cline
  • Mandeep Singh
  • marktaff
  • Martin Burbaum
  • maurerpe
  • ovginkel
  • peterl94
  • plaes
  • poutine70
  • TheMarkster
  • qingfengxia
  • Remigiusz Fiedler (DXF-parser)
  • SebKuzminsky
  • tomate44
  • triplus
  • usakhelo

<translate>

Companies

Companies which donated code or developer time: </translate>

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>

<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>